Credentials

Begin passkey registration

Returns WebAuthn registration options. When the account already has a credential, `isAdditional` is true and an `approval` challenge is included — the client must assert with an existing credential to authorize adding the new one (existing-credential approval rule).

POST
/credentials/register/start

Returns WebAuthn registration options. When the account already has a credential, isAdditional is true and an approval challenge is included — the client must assert with an existing credential to authorize adding the new one (existing-credential approval rule).

Authorization

cookieAuth
pid_access<token>

JWT access token set by /auth/google/callback or /auth/refresh

In: cookie

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/credentials/register/start"
{  "registrationId": "cb67e1cd-0e53-4115-9a51-243e5b471e8b",  "options": {},  "isAdditional": true,  "approval": {}}